<?php
require_once 'clients/base/api/CurrentUserApi.php';
require_once 'modules/Iframeapp/Iframeapp.php';

class Inbox25UserApi extends CurrentUserApi {

  /**
   * Override the core api with our own versoin of retrieveCurrentUser
   */
  public function registerApiRest() {
    return array(
      'retrieve' => array(
      'reqType' => 'GET',
      'path' => array('me',),
      'pathVars' => array('module', 'record'),
      'method' => 'retrieveCurrentUser',
      'shortHelp' => 'Returns current user',
      'longHelp' => 'include/api/help/me_get_help.html',
      'ignoreMetaHash' => true,
      'ignoreSystemStatusError' => true,
      )
    );
  }

  /**
   * Extends retrieveCurrentUser and add our custom data
   */
  public function retrieveCurrentUser($api, $args) {
    $user_data_array = parent::retrieveCurrentUser($api, $args);

    global $current_user,$db,$currentModule;
    $iframe_obj = new Iframeapp();
    $url ='https://www.inbox25.com/timelinefail.php';

    //$url .="&ts=".$ts;
    $res = $db->query("select id,iframe_src from iframeapp where deleted=0 and created_by = '".$current_user->id."'");
    $row = $db->fetchByAssoc($res);
    if ($row['iframe_src']) { 
      //$iframe_obj->retrieve($row['id']);	
      $url =$row['iframe_src'];
    }
    $user_data_array['current_user']['inbox25_url'] = $url;
    return $user_data_array;
  }
}
